Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request GET \
--url https://api.hyperspell.com/context-documents/{document_id} \
--header 'Authorization: Bearer <token>'{
"document_id": "<string>",
"status": "<string>",
"sources": [
"<string>"
],
"user_id": "<string>",
"model": "<string>",
"content": "<string>",
"prompt": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"token_usage": {}
}Get a specific context document by ID.
curl --request GET \
--url https://api.hyperspell.com/context-documents/{document_id} \
--header 'Authorization: Bearer <token>'{
"document_id": "<string>",
"status": "<string>",
"sources": [
"<string>"
],
"user_id": "<string>",
"model": "<string>",
"content": "<string>",
"prompt": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"token_usage": {}
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Successful Response
Was this page helpful?